package ch.zhaw.projekt2.turnierverwaltung;

import java.util.Date;

public class Player extends Person implements Participant{

    private Date dateOfBirth;

    public Player(String firstName, String name, String phoneNumber, Date dateOfBirth){
        super(firstName, name, phoneNumber);
        setDateOfBirth(dateOfBirth);
    }

    public Date getDateOfBirth() {
        return dateOfBirth;
    }

    public void setDateOfBirth(Date dateOfBirth) {
        this.dateOfBirth = dateOfBirth;
    }

    @Override
    public boolean equals(Participant participant) {
        return getClass().equals(participant.getClass()) && getName().equals(participant.getName()) &&
                getFirstName().equals(((Player) participant).getFirstName());
    }
}
